import { InputType, Field, ID } from '@nestjs/graphql';
import { IsUUID } from 'class-validator';

@InputType()
export class CompleteItemInput {
  @IsUUID()
  @Field(() => ID)
  todoItemId: string;
}
